# Check for updates in remote repo
git pull
# Update at the start (we don't know if file changed)
git add *
git commit -m 'sync'
git push

while true
do
clear
# Update if file changed 10 seconds ago
last_changed=$(find . -newermt "10 seconds ago" | grep -v .git)
if [ "$last_changed" != "" ]; then
	echo -e "Status: \e[31mnot synced\e[0m"
	read -p "Press any key to sync."
    git add *
    git commit -m 'sync'
    git push
    clear
    echo -e "Status: \e[33msleep...\e[0m"
    sleep 10
else
	echo -e "Status: \e[32msynced\e[0m"
	sleep 1
fi

done
